Scientific Linux Security Update : firefox on SL5.x, SL4.x i386/x86_64

High Nessus Plugin ID 60314


The remote Scientific Linux host is missing one or more security updates.


A cross-site scripting flaw was found in the way Firefox handled the jar: URI scheme. It was possible for a malicious website to leverage this flaw and conduct a cross-site scripting attack against a user running Firefox. (CVE-2007-5947)

Several flaws were found in the way Firefox processed certain malformed web content. A webpage containing malicious content could cause Firefox to crash, or potentially execute arbitrary code as the user running Firefox. (CVE-2007-5959)

A race condition existed when Firefox set the 'window.location' property for a webpage. This flaw could allow a webpage to set an arbitrary Referer header, which may lead to a Cross-site Request Forgery (CSRF) attack against websites that rely only on the Referer header for protection. (CVE-2007-5960)


Update the affected firefox and / or firefox-devel packages.

See Also

Plugin Details

Severity: High

ID: 60314

File Name: sl_20071126_firefox_on_SL5_x.nasl

Version: $Revision: 1.2 $

Type: local

Agent: unix

Published: 2012/08/01

Modified: 2016/12/14

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 9.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: x-cpe:/o:fermilab:scientific_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2007/11/26

Reference Information

CVE: CVE-2007-5947, CVE-2007-5959, CVE-2007-5960

CWE: 22, 79